#
# spec file for package microcode_ctl (Version 1.17)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           microcode_ctl
%define data_version 20101123
License:        GPL v2 or later
ExclusiveArch:  %ix86 x86_64
Url:            http://www.urbanmyth.org/microcode/
Group:          Hardware/Other
AutoReqProv:    on
Summary:        Microcode Updates for Intel CPUs
Version:        1.17
Release:        14.16.19
Requires:       kernel >= 2.6.16.28
Source0:        microcode_ctl-%{version}.tar.bz2
Source1:        microcode.init
Source2:        microcode-%{data_version}.dat.bz2
Patch0:         microcode-select.diff
%define prefix  /usr
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %insserv_prereq

%description
This utility allows updating the microcode of Intel x86 and x86-64
CPUs. This feature is supported by Pentium II and newer CPUs.



Authors:
--------
    Simon Trimmer <simon@veritas.com>

%prep
%setup
%patch0 -p1

%build
#%ifarch x86_64
#ln -s /usr/include/asm-i386 asm
#%endif
make CFLAGS="$RPM_OPT_FLAGS -I."

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=${RPM_BUILD_ROOT} \
	PREFIX=%{prefix} \
	MANDIR=%{_mandir}/man8 \
	install
mkdir -p ${RPM_BUILD_ROOT}/etc/init.d
install -m 0755 $RPM_SOURCE_DIR/microcode.init ${RPM_BUILD_ROOT}/etc/init.d/microcode
rm -f $RPM_BUILD_ROOT/etc/init.d/microcode_ctl
bunzip2 -dc %SOURCE2 > $RPM_BUILD_ROOT/etc/microcode.dat

%post
%{fillup_and_insserv -fy microcode}

%postun
%{insserv_cleanup}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
/etc/microcode.dat
/etc/init.d/microcode
%{prefix}/sbin/microcode_ctl
%doc %{_mandir}/man8/microcode_ctl.8.gz
%doc README Changelog

%changelog
* Fri Dec 17 2010 trenn@suse.de
- Update to microcode 20101123 (bnc#660103, fate#309881)
* Fri Oct  8 2010 trenn@suse.de
- Update microcode.dat to 20100914 (fate #309881)
* Wed Jun  3 2009 sf@suse.de
- updated microcode.dat to 20090330 (fate #305819)
* Sat Oct 11 2008 bwalle@suse.de
- Update microcode version to 20080910 (bnc#426623).
* Wed Aug 13 2008 bwalle@suse.de
- exit with "skipped" status when the microcode module does not
  exist for a given kernel like the (old) VMI flavour (bnc#415117)
* Thu Apr  3 2008 bwalle@suse.de
- update microcode version to 20080401 (bnc#374261)
* Thu Feb 21 2008 bwalle@suse.de
- update microcode version to 20080220 (bnc#363537)
* Tue Feb  5 2008 bwalle@suse.de
- update microcode version to 20080131 (fate#302618)
* Fri Jan 11 2008 bwalle@suse.de
- update microcode version to 20080108 (#302618)
* Tue Oct  9 2007 bwalle@suse.de
- updated microcode version to 20070907 (FATE #302618)
* Tue May 22 2007 bwalle@suse.de
- updgraded to latest microcode from Intel (1.17)
  (265365)
* Mon Nov 20 2006 bwalle@suse.de
- microcode_ctl-1.15: Latest microcode from Intel
  (19th September 2006)
- updated RPM dependencies because a kernel patch is required
  in the microcode code of the kernel so that this new
  update works
* Tue Feb 28 2006 garloff@suse.de
- Resubmit with new tarball: Upstream packager had screwed up
  linefeeds in microcode.dat.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 garloff@suse.de
- microcode_ctl-1.13: Jan 5 drop got integrated into official 1.13.
* Wed Jan 11 2006 garloff@suse.de
- Update microcode with Jan 5 drop (which is supposed to be
  part of microcode_ctl-1.13) [#141543].
* Mon Nov 28 2005 garloff@suse.de
- Don't try to update microcode on non-intel systems [#122040].
* Wed Oct  5 2005 garloff@suse.de
- Update to 1.12: New microcode from intel. [#116907]
- Does not contain the problematic m02f110a/m02f2205.inc anymore,
  so drop remove patch.
* Mon Jun 20 2005 garloff@suse.de
- microcode-remove-f11-and-f22.diff: Remove microcode for CPUs
  F11 and F22 (m02f110a.inc and m02f2205.inc) [bug #88273].
* Wed May 11 2005 garloff@suse.de
- Fix script activation on install [bug #80224].
* Mon Feb 21 2005 garloff@suse.de
- Update to 1.11: Remove some old -i references.
* Fri Oct 29 2004 garloff@suse.de
- Update to version: 1.10: updated with new microcode from Intel,
  applied patch from Tigran for x86_64 support and some cleanups
- The -i switch has gone, drop from init script.
* Thu Oct 21 2004 garloff@suse.de
- Update to version 1.09: Newer microcode from intel.
- Allow building on x86_64.
* Sat Aug 14 2004 garloff@suse.de
- Update to version 1.08: Newer microcode from intel.
* Wed Feb 25 2004 stepan@suse.de
- add norootforbuild
- add updates from Jesus Molina (specify microcode with -s option)
* Thu Jun  5 2003 ro@suse.de
- remove unpackaged files from buildroot
* Tue Aug 20 2002 mmj@suse.de
- Use macros for fillup and insserv, and use PreReq
* Mon Jul 15 2002 kukuk@suse.de
- Replace BuildArch with ExclusiveArch.
* Fri Feb  8 2002 grimmer@suse.de
- update to version 1.06
- reworked spec file a bit (macros, cleanups)
- updated init script (Copyright)
* Sat Jun  2 2001 bjacke@suse.de
- initial build (package for i386 only)
